Mute a chat, or clear your mute
PUT /api/member/chats/{chatId}/subscription. Mute a chat, or clear your mute. Headless LMS Chats API reference.
For a participant. muted stops its messages notifying you, until mutedUntil when given; a mention still notifies you. none clears the mute.
Path Parameters
chatId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Mute it: its activity stops notifying you, except mentions and actions on you
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/member/chats/string/subscription" \ -H "Content-Type: application/json" \ -d '{ "state": "muted" }'null{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}